export interface ErrorStackFrame {
    fileName: string;
    functionName: string;
    lineNumber: number;
    columnNumber: number | null;
}
export declare const isErrorStackFrame: (value: unknown) => value is ErrorStackFrame;
export declare const isErrorStackFrameArray: (value: unknown) => value is ErrorStackFrame[];
export interface ErrorLogPayload {
    level: "error";
    message: string;
    stack: Error["stack"] | string[] | ErrorStackFrame[];
}
export type LogPayload = {
    level: "debug";
    message: string;
} | {
    level: "warn";
    message: string;
} | ErrorLogPayload;
